% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CINNA.R
\name{graph.extract.components}
\alias{graph.extract.components}
\title{Component extraction of a graph}
\usage{
graph.extract.components(x, directed = TRUE, bipartite.proj = FALSE,
  num.proj = 1)
}
\arguments{
\item{x}{An igraph or a network object}

\item{directed}{Whether to create a directed graph(default=TRUE)}

\item{bipartite.proj}{Whether the bipartite network must be projected or not(default=FALSE)}

\item{num.proj}{Numbers 1 or 2 which shows the number of projects for bipartite graphs.(default=1)}
}
\value{
a list including the componets of the input as igraph objects
}
\description{
This function extracts all connected components of the
input which can be an "igraph" object or a "network" object
and convert them as "igraph" objects.
}
\details{
This function seperates different components of an "igraph" or a "network" object and
illustrates them as a list of independent graphs. If the input graph was bipartite and the
"bipartite.proj" was TRUE, it will project it and you can decide in which project you want
to continue to work with.
}
\examples{

data(zachary)

graph.extract.components(zachary)


}
\seealso{
\code{\link[igraph]{induced.subgraph}},\code{\link[igraph]{components}}
}
\author{
Minoo Ashtiani, Mohieddin Jafari
}
